#!/bin/sh
xUID=`id -u evostreamd`
xGID=`id -g evostreamd`
PIDFILE=/var/run/evostreamms.pid

if [ "$xUID" = "" ]
then
	echo "evostreamd user is not present on this system"
	exit 1
fi

if [ "$xGID" = "" ]
then
	echo "evostreamd group is not present on this system"
	exit 1
fi

sudo touch $PIDFILE
if [ $? != 0 ]
then
	echo "Unable to create the pid file on $PIDFILE"
	exit 1
fi

echo "Launching EvoStream with UID/GID: $xUID/$xGID"
sudo ./evostreamms --daemon --uid=$xUID --gid=$xGID --pid=$PIDFILE ../config/config.lua

